1. <optgroup id="1j155"><li id="1j155"><source id="1j155"></source></li></optgroup><track id="1j155"></track>
          <acronym id="1j155"></acronym>
            首頁 / WordPress資訊 / 建議在WordPress中增加推薦的PHP版本提醒
            Loading收藏0

            WordPress貢獻者 @Jenny Wong 在社區發布一篇帖子,建議在WordPress中增加推薦的PHP版本提醒。

            在撰寫本文時,WordPress統計數據顯示:

            • PHP 5.6的使用份額為29.1%
            • PHP 7.0的使用份額為16.2%
            • PHP 7.1的使用份額為13.2%
            wordpress 站點中 PHP 版本的使用份額

            該提案基于托管團隊會議,P2帖子核心站點健康對話中的多個討論。

            大多數受訪者建議將最低要求提高到PHP 7.2。網站健康維護者同意這種情緒,但我們希望通過在2019年剩余時間內引入一系列增量增長來達到這一點。

            什么時候?

            我們建議的增加PHP最小版本的路線圖是:

            1. 顯示PHP 5.6的PHP更新小工具。這將在 WordPress 5.1+ 儀表板的小工具中,對任何使用PHP 5.6或更低版本的用戶,觸發警告他們建議升級到我們推薦的PHP版本。
            2. 顯示PHP 7.0及更低版本用戶的PHP更新小工具。?
            3. 根據第1點和第2點的支持和統計信息,討論下一步是應該顯示PHP 7.1的PHP更新小工具還是將所需的最低版本直接增加到PHP 7.2。

            我們建議從8月5日開始向PHP 5.6或更低版本的用戶展示更新建議,顯示對PHP 7.0用戶的警告的時間表將在后續帖子中公布,根據支持負載和采用率等因素。

            為什么添加PHP更新小工具?

            在討論中,多人強調,由于費用成本,在某些情況下,許多網站不會更新插件和主題。它可能意味著他們的插件或主題版本與更現代版本的PHP不兼容。對于許多流行的高級插件和主題用戶來說尤其如此。

            我們希望PHP更新小根據能夠鼓勵用戶更新他們所有的插件和主題,包括所有高級插件和主題。通過這樣做,他們在托管級別的PHP遷移將變得更加順暢,并且有助于為及時提高WordPress的最低要求鋪平道路。

            首先使用更新小工具的另一個原因是我們能夠為多個團隊提供支持請求,這些團隊必須處理對此類更改的支持。這包括但不限于社區、托管、插件、主題和支持論壇團隊。

            PHP更新小工具截圖

            歡迎反饋

            如果您有任何問題、建議或評論,請訪問帖子頁面進行反饋, site-health 組件團隊將不勝感激。謝謝。

            你可能還喜歡

            發表評論

            我們是靠譜的WordPress建站團隊!

            專業承接WordPress網站建設及運維、WordPress主題和插件開發、漢化、安裝等服務

            聯系電話:189-3334-7774

            查看所有服務項目

            視頻教程: 點擊聯系我們
            建站咨詢: 點擊聯系我們
            售后支持: 點擊聯系我們
            廣告合作: 點擊聯系我們

            建站咨詢:189-3334-7774

            固定電話:0773-8282-430

            售后支持:133-0773-9152

            微信掃一掃,聯系我們

            丁香网